Package org.picocontainer.converters

# Class BuiltInConverters

java.lang.Object
org.picocontainer.converters.BuiltInConverters

All Implemented Interfaces:
  `Serializable`, `Converters`

public class BuiltInConverters extends Object implements Converters, Serializable
Provides some built-in converters used by
invalid reference

    DefaultPicoContainer

. It supports by default primitive types (and boxed equivalents) and for `File` and `URL` types. Built-in converters can be changed by extending the class and overriding the method `addBuiltInConverters()`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BuiltInConverters()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addBuiltInConverters()`
`protected void`
`addConverter(Converter<?> converter, Class<?> key)`
`boolean`
`canConvert(Type type)`
Returns true if a converters is available to convert to the given object type
`Object`
`convert(String paramValue, Type type)`
Converts a particular string value into the target type

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BuiltInConverters

public BuiltInConverters()

## Method Details

### addBuiltInConverters

protected void addBuiltInConverters()

### addConverter

protected void addConverter(Converter<?> converter, Class<?> key)

### canConvert

public boolean canConvert(Type type)
Description copied from interface: `Converters`
Returns true if a converters is available to convert to the given object type

Specified by:
  `canConvert` in interface `Converters`
Parameters:
  `type` - the object Type to convert to
Returns:
  true if the type can be converted to

### convert

public Object convert(String paramValue, Type type)
Description copied from interface: `Converters`
Converts a particular string value into the target type

Specified by:
  `convert` in interface `Converters`
Parameters:
  `paramValue` - the String value to convert
  `type` - the object Type to convert to
Returns:
  The converted Object instance